#include <assert.h>
#include <id3/tag.h>
#include <stdio.h>

#include "daap.h"
#include "id3.h"

// extern daap_int minm_Init (daap_minm *, char *);

void
id3_Load (daap_song * song)
{
  assert(song != NULL);
  
  ID3_Tag * myTag;
  const char * data;
  ID3_Frame * myFrame;
  ID3_Field * myField;
  
  myTag = new ID3_Tag(song->file_path);
  
  if (NULL == (myFrame = myTag->Find(ID3FID_ALBUM)))
    return;

  if (NULL == (myField = myFrame->GetField(ID3FN_TEXT)))
    return;
  
  data = myField->GetRawText();
  
  fprintf(stderr, "id3_Load.. '%s'\n", data);
  
  // minm_Init((daap_minm *)&song->minm, (daap_string)data);
}
